Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does not accept spaces

From: Jean Louis <[email-masked]>
Date: Sun, 21 Jul 2019 01:13:34 +0200

* Drew Adams <[email-masked]> [2019-07-20 23:53]:
> > > FWIW: By default, both `?' and `SPC' are
> > > self-inserting for completion in Icicles
> > > (and have been since 2004).
> 
> (I should have said 2005.)
> 
> > > But this is configurable, with option
> > > `icicle-completion-key-bindings'.

So far I understand, icicle is some external
library?

I still think it is bug, either in documentation
because it is not "any input" allowed, or in the
function, as if any input would be allowed, then
spaces should be accepted.

My example is that I am giving a prefix to the
subject of email, so completing-read is offering
like: TASK, EXPENSES UPDATED, READ THIS

Subject becomes:

TASK: Do this

or EXPENSES UPDATED: 2019-07-19 for Gabriel

then if I wish to enter "NEWS FROM EUROPE" I
cannot, as space is not accepted as such.

So it makes no sense logically, to accept
"EXPENSES UPDATED" as one option to complete, but
not to limit me or the user to one word "any
input".

Thus any input shall be named "one word" with C-q
SPC option in the description of the function or
spaces shall be allowed, one of those.